com.aispeech.dui.dds.auth

## Class DeviceInfo

- java.lang.Object
- - com.aispeech.dui.dds.auth.DeviceInfo

-     public class DeviceInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `androidId`
    `java.lang.String` | `applicationLabel`
    `java.lang.String` | `applicationVersion`
    `java.lang.String` | `buildDevice`
    `java.lang.String` | `buildManufacture`
    `java.lang.String` | `buildModel`
    `java.lang.String` | `buildSdkInt`
    `java.lang.String` | `buildVariant`
    `java.lang.String` | `deviceId`
    `java.lang.String` | `deviceName`
    `java.lang.String` | `displayMatrix`
    `java.lang.String` | `imei`
    `java.lang.String` | `mac`
    `java.lang.String` | `packageName`
    `java.lang.String` | `platform`
    `java.lang.String` | `sdkName`
    `java.lang.String` | `sdkVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### platform

          public java.lang.String platform

    - #### deviceId

          public java.lang.String deviceId

    - #### deviceName

          public java.lang.String deviceName

    - #### packageName

          public java.lang.String packageName

    - #### buildModel

          public java.lang.String buildModel

    - #### buildManufacture

          public java.lang.String buildManufacture

    - #### buildDevice

          public java.lang.String buildDevice

    - #### applicationLabel

          public java.lang.String applicationLabel

    - #### applicationVersion

          public java.lang.String applicationVersion

    - #### buildSdkInt

          public java.lang.String buildSdkInt

    - #### displayMatrix

          public java.lang.String displayMatrix

    - #### buildVariant

          public java.lang.String buildVariant

    - #### imei

          public java.lang.String imei

    - #### mac

          public java.lang.String mac

    - #### androidId

          public java.lang.String androidId

    - #### sdkName

          public java.lang.String sdkName

    - #### sdkVersion

          public java.lang.String sdkVersion

  - ### Constructor Detail

    - #### DeviceInfo

          public DeviceInfo()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`